Yaskawa Help File

Yaskawa Controller Product Overview

Yaskawa/EXOR HMI Product Overview

Driver Selection

Driver Performance Notes

Controller Model Selection

Selecting the Communication Parameters Between Yaskawa and the HMI

MP Series Register Details

Cable Connections

Connecting Multiple Yaskawa Devices to One HMI

Applications

Troubleshooting Communications

Devicenet Troubleshooting

Profibus Troubleshooting

System Commissioning and Testing Procedure
Yaskawa Controller Overview

Yaskawa/EXOR HMI Overview

Yaskawa/EXOR HMI Options

TCM-03 Devicenet Option Card (Slave Only)

TCM-08 Profibus Option Card (Slave Only)

TCM-10 Ethernet Option Card (Includes DB9 pin to 10Base-T connector)

SCM-10 Web Server Option Card (in development)

SCM-03 PLC Module (Includes CAN-OPEN network port)

UIM-03 I/O Module, 16 Digital Inputs, 16 Digital Outputs. Can be controlled from HMI or SCM-03

UIM-05 I/O Module, 20 Digital In, 12 Digital Out, 4Analog In, 4Analog Out. Must use SCM-03.

MEM-08 8 Meg SSFDC Memory Card (Solid State Floppy Disc Card

MEM-16 16 Meg SSFDC Memory Card (Solid State Floppy Disc Card (in development)

Yaskawa/EXOR HMI Accessories

HMI-C940-10 HMI to MP940 RS-422 Single Point Communication Cable

HMI-C923-11 HMI to MP920/MP930 RS232 Single Point Communication Cable

HMI-C600-12 HMI to NS600/SigmaII RS232 Single Point Communication Cable

HMI-CSMC-13 HMI to SMC-2000 RS232 Single Point Communication Cable

HMI-MOD-14 HMI to Modem cable (25 pin male)

HMI-PTP-16 HMI to HMI point to point via Uni-Net Communication Cable

HMI-CPROG-20 HMI Programming and Pass-through Cable

UniWin-CD Designer Programming Software for HMI Applications

Driver Selection

In order to communicate to a Yaskawa device, the correct driver must be selected. In the Designer software, select Project – Change Controller Driver. This will bring up a list of drivers that are currently available, as shown below.

The following drivers have been developed for Yaskawa

Yaskawa MP – allows for connection to the MP920, MP930 and MP940 series.

Yaskawa SGDx- - allows for connection to the SGDA-xxxS and Sigma II series.

Yaskawa Indexer – allows for connection to the NS600 indexer.

Galil/Yaskawa – allows for connection to SMC-2000 Motion Controller

To select the driver, simply click on the name of the driver (for example, the Yaskawa SGDx- driver is selected in Figure 1) and click on the OK button. It may be possible that you will see the dialog box that is shown below.

Selecting Yes will confirm your desire to use the driver you have chosen.

Note: If the driver you wish to use is not present in this list, clicking on the Find All button will search your Designer directory for all drivers. If the driver you wish to use is not present after doing this, it may be necessary for you to install the driver manually.

Memobus Driver Performance Notes

This refers to all MP series controllers that use the Memobus driver

The EXOR Memobus driver optimizes Memobus register communication if bits or registers requested on an HMI screen are consecutive, and is done automatically during run time through a method called “packing”. Up to 30 16-bit registers can be packed and transferred at a time. The below example demonstrates how it is possible to improve communication response time, simply by using consecutive registers within a user screen build (only registers on displayed screen are communicated to/from the controller).

Typical Transmission time calculations:

Trans time = (# of Characters Per message) *(#of bits per character) * 1000 (ms)

--------------------------------------------------------------------------------

baud rate

Example 1:

Read registers MW00000, MW20600, MW22400, MW25000 (function code 03H):

Assume: use of memobus function code 03H, 19.2kbaud, 11bit characters

Transmission query: 16 characters for each word

Response: 14 characters for each word

HMI Master Processor Scan rate: 1msec

MP940 Slave Processor Scan rate: 10msec (low speed scan setting)

Trans Time = [(16+14)*(11bits)*1000)/19200] + 2*(1msec + 10msec)

= 4 words *[ (17.2 msec) + (22msec)]

= 156 msec

Example 2:

Read registers MW00000 thru MW00004 (function code 03H):

Assume: use of memobus function code 03H, 19.2kbaud

Transmission query: 16 characters of overhead

Response: 14 characters of overhead + 2 characters for each add word

HMI Master Processor Scan rate: 1msec

MP940 Slave Processor Scan rate: 10msec (low speed scan setting)

Trans Time = [(16+20)*(11bits)*1000)/19200] + 2*(1msec + 10msec)

= [(20.6 msec) + (22msec)]

= 43 msec

Controller Model Selection

Once the driver is selected, it is necessary to select the specific Yaskawa model that will be used. This can be done by selecting Project – Controller Setup. Doing so will open the Controller Setup dialog box as shown below.

To select the model, simply click on the name of the controller to be used and click OK. If you are changing from one model type to another, you will see the dialog box that is shown below.

Please be aware that changing the model type will reset the RDA (reserved data area) block addresses to their default values. You only need to consider this if you are currently using the RDA. Selecting Yes will confirm the model selection.

Note: It is possible to connect more than one Yaskawa device to a single HMI. Please click here for more information on how to configure this from within Designer.

Connecting Multiple Yaskawa Devices to One HMI

In order to connect multiple Yaskawa devices to one HMI, some setup within Designer is required. First, select Project – Controller Setup. This will bring up the dialog box shown below. Please note that this dialog box will differ slightly, depending upon the driver you have selected, but the procedure will remain the same.

Once you have done this, click on the “Access Multiple” checkbox in the upper left-hand corner of the dialog box. Doing so will reveal a dialog box as shown below.

To add multiple Yaskawa devices, simply click on the Add button. This will bring up the Controller Setup dialog box, allowing you to select which device to add.

Once you have selected the device, it will be placed in the Configured Slaves window as shown below.

By clicking the Add button again, we can add another device, as shown below. Note that it is necessary to change the Axis number, as this represents the ID number of each device.

In this example, there are two devices that are configured. Whenever you use an item within Designer that requires communication to either device (i.e., numeric field, message field, etc.), you will need to enter the node number (Axis number) of the device to let the HMI know which device you wish to read the data from (or write the data to), as is shown below.

Selecting the Communication Parameters Between Yaskawa and the HMI

To change the communication parameters (i.e., baud rate, data bits, parity, stop bits) between the HMI and the Yaskawa device, select Project – Controller Setup and click on the Comm… button. This will bring up the Communication Parameters Setup dialog box as shown below.

To change the Parity, Data bits or Stop Bits, simply select the desired radio button. To change the Baud Rate, use the scroll buttons to increase or decrease the baud rate to the desired setting. Once all of the modifications have been completed, clicking on OK will confirm the changes.

MP Series Register Addressing

· Register lists and value ranges for each controller.

M registers are general holding registers

I registers are input registers

O registers are output registers (special driver required, future)

S registers are system registers (special driver required, future)

For MP940, MP930, MP920

Register Type | Description | Address Range | Value Range
MB | Bit | 000000 to 32767.F | 0 to 1
MW | 16-bit signed word | 00000 to 32767 | -32768 to +32767
ML | 32-bit signed double word | 00000 to 32766 | -2147483648 to +2147483647
MF | 32-bit Intel single precision floating point | 00000 to 32766 | +/- (1.175E-38 to 3.402E+38 (7 digits)
IB | Bit | 00000 to 07FF.F * | 0 to 1
IW | 16-bit signed word | 0000 to 07FF * | -32768 to +32767
IL | 32-bit signed double word | 0000 to 07FE * | -2147483648 to +2147483647

* Note: For MP920, upper address range is 0000 to 0FFF

Cable Connections

HMI Programming Cable (between the HMI and the Yaskawa device)

MP920 / MP930

MP940

SGDA-xxxS / Sigma II / NS600

SMC-2000

HMI Programming & Passthrough Cable

Cable code | HMI-CPROG-20 (EXOR Part: CA114)
Description | UniOP Programming Port to AT RS-232 (DTE DE9S)
Type of Communication | RS-232
Panel Connector | D-sub type 15P
PC Connector | D-sub type 9S
Notes |

MP920 / MP930 Cable

Cable code | HMI-C923-11 (EXOR part: CA44)
Description | UniOP PLC Port to MP920/MP930 - RS232
Type of Communication | RS-232
Panel Connector | D-sub type 15S
PLC Connector | D-sub type 9P
Notes | Compatible with: Matsushita FP1, Omron C20H. Cable also used for Omron C2H, C28H, C40H, C60H (RS232 Port)

MP940 Cable

Cable code | HMI-C940-10 (EXOR Part: CA-194)
Description | PLC Port to Yaskawa MP940
Type of Communication | RS-422
Panel Connector | D-sub type 15S
PLC Connector | 3M Connector MDR-14 Male. (Mating connector: 10114-3000VE; Plastic shell: 10314-52A0-008)
Notes |

SGDA-xxxS / Sigma II / NS600 Cable

Cable code | HMI-C600-12 (EXOR Part: CA-198)
Description | PLC Port to Yaskawa NS-600 Indexer and Sigma II
Type of Communication | RS-232
Panel Connector | D-sub type 15S
PLC Connector | 3M Connector MDR-14 Male. (Mating connector: 10114-3000VE; Plastic shell: 10314-52A0-008)
Notes |

HMI NS600/Sigma II

SMC-2000 Cable

Cable code | HMI-CSMC-13 (EXOR Part: CA37)
Description | PLC Port to SMC-2000
Type of Communication | RS-232
Panel Connector | D-sub type 15S
PLC Connector | D-sub type 9S
Notes |

HMI SMC-2000

Manually Installing a Driver

To manually install a driver, you will need to have the proper .DLL file, which can be obtained from your local Yaskawa representative or by calling 1-800-YASKAWA. Once you have the .DLL file, you will need to:

  1. Make sure Designer is not open.
  2. Copy the .DLL file into your working Designer directory (where you have Designer installed on your computer. This directory is usually C:\Program Files\Designer).
  3. Start Designer.
  4. Go to the Project menu and select Change Controller Driver.
  5. This will open a dialog box that lists all of the currently installed drivers. Click on the Find All button to install the driver.

HMI Driver List

DLL | Controller ID | Notes
UPLC82.dll | Galil/Yaskawa | Yaskawa SMC2000 Motion Controller (ASCII driver)
UPLC123.dll | Yaskawa SGDX- | Yaskawa Servopack (W-Protocol driver)
UPLC135.dll | Yaskawa MP/CP | Yaskawa MP/CP Series Controllers (Memobus driver)
UPLC156.dll | Yaskawa NS600 | Yaskawa Indexer Controller (ASCII Driver)

Applications

HMI with Multiple MP940 Controllers (Multidrop RS485)

Troubleshooting Communications

If the HMI will not communicate with the Controller:

1) Double check the interface cable wiring, ring out with multimeter

2) If it is an MP series product, it is in the RUN Condition

3) Check the driver setup in “Controller” section of Designer SW, verify correct controller setting (see driver list in “Manually Installing a Driver” Section.

4) Check the communication port parameters in “Panel Setup” of Designer SW. Recommended:

- MPXXX: RS422/485, 19.2kBaud, 8 data bits, 1stop, even parity

- SGDH: RS232, 9600Baud, 8databits, 1 stop, even parity

- SMC2000: RS232, 19.2kBaud, 8 data bits, 1 start, 1 stop, no parity

- NS600: RS422/485, 19.2kBaud, 7 data bits, 1 start, 1 stop, even parity

5) Check the port communication settings from Controller software, match in #4 above

To verify proper communications, hold down the “ENTER” key on the EXOR HMI until the Command Menu appears. Then use the left/right arrow keys to select “SYSTEM” and press “ENTER” again. Next, press the down arrow key until you see the PLC Communication status. When everything is working correctly, it will show “00”, meaning no error. The codes below represent the last error encountered.

Current communication status is displayed in the System Menu of the UniOP.

The error status is described by a message and a numeric error code.

The message reports the current communication status. The number shows the code of the current communication error or, if the communication is correct, the code of the last error encountered. When the error code 0 is shown, it means there have been no communication errors since this system start-up.

Code | Description | Notes
0 | No error | There are no communication errors and there have been no errors since start-up.
4 | Negative acknowledgement | The device did not accept the request and returned NAK (negative acknowledgement). Didn’t receive the proper response.
5 | Communication timeout | No response from device. May indicate that the connection is broken, communication parameters are not matching or that there are other hardware errors. Could be Baud Rate is not set correctly.
6 | Response error | Error in the response from the device. Could be due to Noise, Bad Checksum return, or response is out of range.
7 | General communication error | Should never been reported. Indicates a software error. Could be a request of a register that is out of range, or an invalid parameter number.

PC to HMI Communication Debug:

If the HMI will not communicate with your PC:

1) Double check the cable wiring

2) Check that the panel is in CONFIGURATION MODE

3) Check the screen designers communication port parameters (19.2k,N,1)

If there is no program in panel memory, it will power up in configuration mode. If the panel is not in configuration mode press “ENTER” for about 2 seconds to access the Command Menu. Next, use the arrow keys to select “CONF” and press ENTER.

Devicenet Troubleshooting

Yaskawa will be using EXORs Devicenet Lite version.

A) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 04 or COM ERR 06:

1. Check DeviceNet Scanner’s map - possible overlap of UniOP’s and other devices’ data.

2. Check PLC program - memory areas used by UniOP shouldn’t be used by PLC program.

B) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 05:

1. Check PLC - is it turned on?

2. Check communication cable - is it broken?

3. Check PLC program - UniOP’s program file is not called cyclically from main program?

4. Check PLC program - UniOP’s data file N255:190 - N255:255 has not been configured properly?

5. Check baud rate - is it the same as DeviceNet Scanner’s baud rate?

6. Check the error code on DeviceNet Scanner Module display - UniOP node number and error code alternately flash.

C) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 08:

1. Check DeviceNet configuration - there is another node with same node number as the UniOP. Change network configuration in the DeviceNet Manager as well as the UniOP node number programmed in the Designer programming package.

D) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 10:

1. Check the network power - is it turned on?

2. Check the communication cable - is it connected to UniOP or is it broken?

E) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 11:

1. UniOP is in Bus-Off state caused by too many errors on the network.

F) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 12:

1. Check PLC - it must be in RUN mode.

2. Check DeviceNet Scanner mapping - UniOP has to be mapped to 8 bytes of input and output data.

Devicenet Communication Status Codes

Current communication status is displayed in the System Menu of the UniOP. Beside the string describing current state of the communication, there is an additional error code representing the last (which may be not the current one) error encountered. The codes are following:

00 No error

04 Negative acknowledgement to request

Occurs when the PLC does not accept the request from UniOP e.g. if UniOP requests data out of range.

05 Time-out error to request

Indicates that the communication line has been broken or PLC has had power fail.

06 Ill formed response

Means that the response data was received from the PLC but the amount of data received was not what was expected e.g. UniOP requests 1 byte of data while PLC responds with 2 bytes of data.

07 General communication error

Should never happen; it indicates an error in the software.

08 Duplicate MAC ID

Indicates that node number used by UniOP is already used by another device on the network.

10 No network supply

Indicates that network supply is turned off or network cable is broken or disconnected.

11 CAN chip is in Bus-Off state

Too many errors have occurred on the line and CAN chip went in Bus-Off state.

12 Data size mismatch

Indicates that UniOP has received less than 8 bytes of data.

Profibus Troubleshooting

A) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 05:

1. Master is in STOP or is not turned on?

2. Cable is not connected or is broken?

3. UniOP has been programmed via the Designer Controller Setup dialog box to have a node number that is the same as another node in the network?

B) UniOP doesn’t communicate, COM LED blinks and the Comm Status shows COM ERR 04

1. UniOP has been programmed by Designer to access data from the Input or Output buffer beyond the configured range of the Input / Output areas?

C) Master System fails to go into RUN mode

1. The Master has been configured to have Response Monitoring enabled for the UniOP panels?

2. UniOP has been programmed via the Designer Controller Setup dialog box to have a node number that is the same as another node in the network?

Profibus Communication Status Codes

Current communication status is displayed in the System Menu of the UniOP. Beside the string describing current state of the communication, there is an additional error code representing the last (which may be not the current one) error encountered. The codes are following:

00 | No error |
04 | Input / Output buffer overflow | Indicates that UniOP attempted to read Input data or to write Output data beyond the range of the currently configured buffers. For example, if the Input and Output buffers are configured to be 8 bytes long then attempting to access the 10th Input byte will result in this error. The solution to this error is to modify the UniOP pages with the Designer package to not access Input or Output data outside the configured range. Alternatively the Master PLC could be reprogrammed to assign a larger Input / Output areas to the UniOP.
05 | Time-out error to request | Indicates that the communication line has been broken, the PLC has had a power fail or the PLC is in STOP.
07 | Offline | Indicates that the UniOP has gone offline.
08 | RAM access violation | this should never happen. It indicates a low level problem.
09 | Failed to enter data exchange | Indicates that the UniOP failed to enter the data exchange state. May indicate that there are two or more slaves with the same node number.

Profibus Requirements and Capabilities

This version of Profibus DP is included in the Designer DLL file UPLC97.DLL. The initial release level is 3.00 for the communication driver and 5.00 for the DLL (both version numbers can be seen in the Change Controller Driver dialog box of the Designer software).

A communication module of type TCM08 is required. This driver will not work with other communication modules such as the TCM01.

The UniOP panel must have hardware type –0045; firmware version number 4.10 or higher is required to support operation with the TCM08 modules.

System Commissioning and Testing Procedure

When commissioning a system, it’s important to start with each basic fundamental piece and add on after it’s proven successful. This approach will prove to save time in the long run, and will instill confidence that each building block is operating correctly. Troubleshooting time will decrease in the case of un-expected results.

The general steps here will be as follows: Test each servo axis independently, then test the servo + controller until all axis are controlled, then test controller and HMI.

Step 1 (Servo Drive/Motor Test):

Step 2 (Controller test):

Step 3 (HMI Test)


Untitled

Technical Support

Visit us at our Internet site: www.yaskawa.com.